# !/bin/bash

GIT_ADDRESS="ssh://git@goldenscarab.fr"
GIT_PORT="2222"
GIT_BASE_PATH=$(dirname $0)

# Lancement du script :
# bash vendor/goldenscarab/modulus/assets_install.sh

# Dépendance Modulus
npm install
npm install --save ace-builds@1.4.12
npm install --save admin-lte@3.0.5
npm install --save air-datepicker@2.2.3
npm install --save animate.css@4.1.1
npm install --save bootstrap@4.6.0
npm install --save bootstrap4-toggle@3.6.1
npm install --save clipboard@2.0.6
npm install --save dragula@3.7.3
npm install --save font-awesome@4.7.0
npm install --save highcharts@9.0.0
npm install --save jquery@3.5.1
npm install --save jquery-ui-bundle@1.12.1-migrate
npm install --save select2@4.0.13
npm install --save select2-bootstrap4-theme@1.0.0
npm install --save sweetalert2@10.15.5
npm install --save tinymce@5.7.0
npm install --save numeral@2.0.6
npm install --save vue@2.6.12

# Dépendance de dev
npm install --save-dev @babel/core@7.18.13
npm install --save-dev @babel/preset-env@7.12.16
npm install --save-dev @tailwindcss/forms@0.2.1
npm install --save-dev @vue/test-utils@1.1.3
npm install --save-dev @vue/composition-api@1.0.0-rc.9
npm install --save-dev sass@1.32.7
npm install --save-dev sass-loader@8.0.2
npm install --save-dev vue-jest@3.0.7
npm install --save-dev vue-loader@15.9.8
npm install --save-dev vue-template-compiler@2.6.12
npm install --save-dev resolve-url-loader@4.0.0
npm install --save-dev laravel-vue-pagination@2.3.1

# Dépendances Goldenscarab
git clone ${GIT_ADDRESS}:${GIT_PORT}/modulus/vuejs/helpers.git ${GIT_BASE_PATH}/src/resources/js/Helpers
git clone ${GIT_ADDRESS}:${GIT_PORT}/modulus/vuejs/components.git ${GIT_BASE_PATH}/src/resources/js/components
git clone ${GIT_ADDRESS}:${GIT_PORT}/jquery/gdropfield.git ${GIT_BASE_PATH}/src/resources/libraries/gdropfield

# Publish des assets
php artisan elfinder:publish
php artisan vendor:publish --provider="Spatie\CookieConsent\CookieConsentServiceProvider" --tag="cookie-consent-translations"
