<?php

namespace Modules\Small\Http\Controllers\Api;

use Carbon\Carbon;
use Exception;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\Cache;
use Illuminate\Support\Facades\Crypt;
use Modules\Small\Models\Small;
use Modules\Small\Http\Repositories\SmallRepository;

class SmallController extends Controller
{
    private $small_repo;


    public function __construct(SmallRepository $small_repo)
    {
        $this->small_repo = $small_repo;
    }

    /**
     * Display a listing of the resource.
     * @return Response
     */
    public function index(Request $request)
    {
        $sort        = $request->get('sort', 'id');
        $direction   = $request->get('direction', 'asc');
        $persmall  = $request->get('perpage', 15);
        $search      = $request->get('search');

        $smalls = $this->small_repo->list($sort, $direction, $persmall, $search);
        $smalls->load('user');

        return response()->json($smalls);
    }

    /**
     * Store a newly created resource in storage.
     * @param Request $request
     * @return Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Show the specified resource.
     * @param int $id
     * @return Response
     */
    public function show(Request $request, $public_id)
    {
        $small = $this->small_repo->findOrfail($public_id);

        // Retourne avec un cache en secondes
        return response()->json($small)->header('Cache-Control', 'max-age=60');
    }

    /**
     * Update the specified resource in storage.
     * @param Request $request
     * @param int $id
     * @return Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     * @param int $id
     * @return Response
     */
    public function destroy($id)
    {
        //
    }
}
