<?php

namespace Modules\Small\Http\Controllers\App;

use Modules\Small\Models\Config;

use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Redirect;
use Modules\Small\Http\Requests\ConfigStoreRequest;

class ConfigController extends Controller
{

    public function index()
    {
        // Récupération de la config
        $config = $config = Config::first();;

        $breadcrumb = array(
            'Accueil'  => route('modulus.dashboard'),
            'Modules'  => route('modulus.module.index'),
            'Small'     => null,
            'config'   => null
        );

        return view('small::app.config.form')->with([
            'title'      => '<i class="fa fa-cogs mr-2" aria-hidden="true"></i>Module Small',
            'subtitle'   => 'Configuration',
            'config'     => $config,
            'breadcrumb' => $breadcrumb
        ]);
    }

    public function store(ConfigStoreRequest $request)
    {
        $config = Config::first();
        $config->params1 = $request->get('params1');
        $config->save();

        Session::flash('success', "Configuration enregistrée avec succès");

        return Redirect::route('modulus.module.index');
    }
}
