<?php

namespace Modules\Small\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class SmallStoreRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        if (empty($this->route('id'))) {

            return auth()->user()->can('module-small-create');

        } else {

            return auth()->user()->can('module-small-update');
        }
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name'    => 'required|max:255',
            'user_id' => 'required|exists:users,id'
        ];
    }

    /**
     * Get custom attributes for validator errors.
     *
     * @return array
     */
    public function attributes()
    {
        return [
            'name'    => 'Nom',
            'user_id' => 'Utilisateur',
        ];
    }
}
