<?php

namespace Modules\Small\Models;


use Illuminate\Database\Eloquent\Model;
use Goldenscarab\Modulus\App\Models\User;
use Illuminate\Database\Eloquent\Builder;


class Small extends Model
{
    protected $table = 'module_smalls';

    protected $fillable = [];

    protected $dates = [];

    protected $searchable = ['name'];

    protected $casts = [];

    protected $appends = [];


    /* Relation */
    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }


    /* Attributs */
    protected function getNameUpperAttribute()
    {
        return strtoupper($this->attributes['name']);
    }


    /* Scopes */
    public function scopeSearch(Builder $request, $search)
    {
        if (is_null($search)) return $request;

        // Pour rechercher tous les mots d'une phrase dans le champs
        $search = str_replace(' ', '%', $search);

        foreach ($this->searchable as $key => $column) {
            if ($key == 0) {
                $request->where($column,   'LIKE', '%' . $search . '%');
            } else {
                $request->orWhere($column,   'LIKE', '%' . $search . '%');
            }
        }
        return $request;
    }

    public function scopeUser(Builder $query, $user_id)
    {
        if (is_null($user_id)) return $query;

        return $query->where('user_id', $user_id);
    }


    /* Spécifique méthodes */
    public function smallMethod()
    {
        return 'Small';
    }
}
