@extends('modulus::layouts.app.form')

@section('fields')

	<div class="card">
	    <div class="card-header">
	        @isset ($action)
	        	<h3 class="card-title">{!! $action !!}</h3>
	        @endisset
	    </div>
	    <div class="card-body">
            <div class="form-row">
                <div class="col-sm-6">
                    {!! Field2::select([
                        'label'       => 'Propriétaire',
                        'name'        => 'user_id',
                        'value'       => $item->user_id,
                        'prefix'      => '<i class="fa fa-user"></i>',
                        'attributes'  => [
                            'required' => true,
                        ],
                        'options' => [
                            'source' => [
                                'call'   => 'Goldenscarab\Modulus\App\Http\Controllers\Api\UserController@index',
                                'params' => ['perpage' => 999],
                                'target' => 'data'
                            ],
                            'default' => ['value' => '', 'label' => 'Choisir...'],
                            'value'   => ':id',
                            'label'   => ['template' => [
                                'format' => '%s (%s)',
                                'args' => [':name', ':company']
                            ]]
                        ]
                    ]) !!}
                </div>
            </div>
	        <div class="form-row">
	            <div class="col">
	                {!! Field2::input([
			            'label'       => 'Nom',
			            'name'        => 'name',
			            'value'       => $item->name,
			            'prefix'      => '<i class="fa fa-bookmark"></i>',
                        'attributes'  => [
                            'placeholder' => 'ex : Le nom',
                            'required' => true,
                        ]
			        ]) !!}
	            </div>
	        </div>
	    </div>
	</div>

@endsection

@push('scripts')
    <script>
        document.addEventListener('DOMContentLoaded', function() {

        });
    </script>
@endpush
