@extends('modulus::layouts.app.adminlte')

@php
    $can_prefix = 'module-small';
    $url_prefix = route('module.small.index');

    $am = new \Goldenscarab\Modulus\Helpers\ActionMenu($can_prefix, $url_prefix);

    $params_actions = [
        [
            'button' => $am->make('[CREATE]', ['attributes.class' => 'btn-sm btn-success']),
        ]
    ];

    if (auth()->user()->hasRole('admin'))
        $params_filter = [
            [
                'name' => 'user',
                'prefix' => 'Filtre utilisateur',
                'size' => 'sm',
                'options' => [
                    'source'     => [
                        'url'    => route('api.users.index', ['perpage' => 999]),
                        'method' => 'GET',
                        'target' => 'data'
                    ],
                    'placeholder' => ['value' => '', 'label' => '-- Tous les utilisateurs --'],
                    'value'       => ':id',
                    'label'       => ':name'
                ]
            ]
        ];

    else {
        $params_filter = [];
    }

    $params_header = [
        'actions' => $params_actions,
        'filters' => $params_filter,
        'search'  => true
    ];

    $params_list = [
        'source'  => route('api.module.small.index'),
        'menu'    => [
            'button' => $am->make('[READ]', ['attributes' => ['class' => 'btn-sm btn-success']]),
            'dropdown' => [
                'size'  => 'sm',
                'attributes' => ['class' => 'dropdown-menu-right'],
                'items' => [
                    $am->make('[UPDATE]'),
                    $am->make('[DUPLICATE]'),
                    $am->make('[SEPARATOR]'),
                    $am->make('[DESTROY]')
                ]
            ]
        ],
        'row'     => [],
        'columns' => array(
            [
                'label'      => '#',
                'value'      => ':id',
                'sortable'   => 'id'
            ], [
                'label'      => 'Nom',
                'value'      => ':name',
                'sortable'   => 'name'
            ], [
                'label'      => 'Utilisateur',
                'value'      => ':user.name',
                'sortable'   => 'users.lastname',
                'render'     => 'badge(badge-success)',
            ], [
                'label'      => ['value' => 'Date', 'attributes' => ['class' => 'text-center']],
                'value'      => ':updated_at',
                'sortable'   => 'updated_at',
                'render'     => 'date_human_fr',
                'attributes' => ['class' => 'text-center']
            ]
        )
    ];
@endphp

@section('content')
    <div id="app">
        <glist
            v-bind:header="{{ json_encode($params_header) }}"
            v-bind:list="{{ json_encode($params_list) }}"
        ></glist>
    </div>

@endsection
