<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::group([
    'middleware' => ['auth', 'auth.active', 'role:admin'],
    'namespace'  => 'App',
    'prefix'     => config('modulus.url_prefix') . 'module/',
    'as'         => 'module.'
], function() {

    /* Configuration */
    Route::group(['prefix' => 'small/config', 'as' => 'small.config.'], function() {
        Route::get('/', 'ConfigController@index')->name('form');
        Route::post('/', 'ConfigController@store')->name('post');
    });

    // Small
    Route::group(['prefix' => 'small', 'as' => 'small.'], function() {
		Route::get('/', 'SmallController@index')->name('index');
        Route::get('create', 'SmallController@create')->name('create');
        Route::get('read/{id}', 'SmallController@show')->name('show');
		Route::get('edit/{id}', 'SmallController@edit')->name('edit');
        Route::get('export/{id}', 'SmallController@export')->name('export');
		Route::post('store/{id?}', 'SmallController@store')->name('store');
		Route::get('destroy/{id}', 'SmallController@destroy')->name('destroy');
		Route::get('duplicate/{id}', 'SmallController@duplicate')->name('duplicate');
	});

});

