#! /bin/bash

SOURCE_MODULE=$1
DUPLICATE_MODULE=$2
rm -rf $DUPLICATE_MODULE/

# Vérification des dépendances
if ! which rename >/dev/null; then
	echo -e "\033[31mAttention : le paquet rename est nécesaire à l'exécution de ce script.\033[0m"
	echo -e "« sudo apt install rename » pour installer le paquet"
	exit 1
fi

# Duplication du dossier
cp -r $SOURCE_MODULE/ $DUPLICATE_MODULE/

# Renommage des fichiers
find $DUPLICATE_MODULE/ -name '*' | rename -v "s/${SOURCE_MODULE}/${DUPLICATE_MODULE}/g"
find $DUPLICATE_MODULE/ -name '*' | rename -v "s/${SOURCE_MODULE,,}/${DUPLICATE_MODULE,,}/g"

# Remplacement des termes
find $DUPLICATE_MODULE/ -type f -exec sed -i "s/${SOURCE_MODULE}/${DUPLICATE_MODULE}/g" {} +
find $DUPLICATE_MODULE/ -type f -exec sed -i "s/${SOURCE_MODULE,,}/${DUPLICATE_MODULE,,}/g" {} +

# Module visible
find $DUPLICATE_MODULE/ -type f -exec sed -i "s/\"hidden\": true/\"hidden\": false/g" {} +

echo -e "\033[32m✔ Duplication du module terminée\033[0m"
