<?php

namespace Goldenscarab\Modulus\App\Console\Modulus;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\Mail;

class EmailTest extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'modulus:email-test {email}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Test de la configuration mail de l\'application';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $this->line("Envoi d'un email test...");
        $this->line(vsprintf('Expéditeur: %s <%s>', [config('mail.from.name'), config('mail.from.address')]));
        $this->line(sprintf('Destinataire: %s', $this->argument('email')));

        Mail::raw('Félicitation ! La configuration mail est bien opérationnelle', function($msg) {
            $msg->to($this->argument('email'))->subject('Modulus Test Email');
        });

        $this->info('✔ Email envoyé avec succès');
    }
}
