<?php

namespace Goldenscarab\Modulus\App\Http\Middleware;

use Closure;

use Illuminate\Http\Request;

use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Config;


class ElfinderFolder
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle(Request $request, Closure $next)
    {
        // Il s'agit d'une campagne
        if ($request->has('campaign_id')) {

            // Préparation du chemin d'accès aux fichiers
            $dir_root = 'files/campaigns/';
            $dir_project = hash('whirlpool', $request->get('campaign_id'));
            $path_upload = $dir_root . $dir_project;

            // Si le dossier n'existe pas on le créer
            if (!File::exists(public_path($path_upload))) {
                File::makeDirectory(public_path($path_upload), 0775, true);
            }

            // Paramétrage du dossier de travail de elfinder
            Config::set('elfinder.dir', [ $path_upload ]);
            Config::set('elfinder.root_options.alias', $request->get('campaign_name'));
        }

        return $next($request);
    }
}
