<?php

namespace Goldenscarab\Modulus\App\Http\Middleware;

use Closure;
use Illuminate\Support\Facades\Auth;

class RedirectIfNotActive
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next, $guard = null)
    {
        // Vérification que l'utilisateur est bien actif
        if (Auth::guard($guard)->check() && Auth::guard($guard)->user()->isActive() === false) {

            $email = auth()->user()->email;

            // Si il n'est pas actif, on le déconnecte
            Auth::logout();

            return redirect('/login')
                    ->withErrors(['email' => "Ce compte est désactivé"])
                    ->withInput(['email' => $email]);
        }

        return $next($request);
    }
}
