<?php

namespace Goldenscarab\Modulus\App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class RoleStoreRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        if (empty($this->route('id'))) {
            return auth()->user()->can('role-create');
        } else {
            return auth()->user()->can('role-update');
        }
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {

        return [
            'name'         => 'required|max:254|string|unique:roles,name,' . $this->route('id'),
            'display_name' => 'required|max:254|string',
            'description'  => 'nullable|max:254|string',
        ];
    }


    /**
     * Get custom attributes for validator errors.
     *
     * @return array
     */
    public function attributes()
    {
        return [
            'name'         => 'Nom',
            'display_name' => 'Étiquette',
            'description'  => 'Description',
        ];
    }
}
