<?php

namespace Goldenscarab\Modulus\App\Http\Services\Module;

use Illuminate\Support\Collection;
use Nwidart\Modules\Facades\Module;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Cache;
use Goldenscarab\Modulus\App\Http\Repositories\ModuleRepository;


class ModuleService
{

    private $make_repo;

    private $public_path_files;

    public function __construct()
    {
        $this->public_path_files = '/module/upload/';
    }

    public function getModulesConfig()
    {
        $configs = Cache::remember('module.configs', config('cache.expire'), function () {

            $module_repo = new ModuleRepository;

            // Récupération des configs des modules installés
            $configs = $module_repo->allByPosition();

            return $configs;
        });

        return $configs;

    }

    public function makeCompiledCSSFront()
    {
        // Récupération des modules actifs
        $modules = Module::collections();

        // Chemin vers le fichiers js concerné
        $module_assets_path = config('modules.paths.generator.assets.path');
        $module_js_path = '/css/front.css';

        $content = "";

        // On parcours les modules
        foreach ($modules as $module) {

            // Construction du chemin vers le fichier js du module
            $css_file = $module->getPath() . '/' . $module_assets_path . $module_js_path;

            if (File::exists($css_file)) {
                // Récupération du contenu
                $content .= "/* *** Module ". $module->name ." *** */ \n";
                $content .= File::get($css_file);
                $content .= "\n\n";
            }
        }

        return $content;
    }

    public function makeCompiledCSSBack()
    {
        // Récupération des modules actifs
        $modules = Module::collections();

        // Chemin vers le fichiers js concerné
        $module_assets_path = config('modules.paths.generator.assets.path');
        $module_js_path = '/css/back.css';

        $content = "";

        // On parcours les modules
        foreach ($modules as $module) {

            // Construction du chemin vers le fichier js du module
            $css_file = $module->getPath() . '/' . $module_assets_path . $module_js_path;

            if (File::exists($css_file)) {
                // Récupération du contenu
                $content .= "/* *** Module ". $module->name ." *** */ \n";
                $content .= File::get($css_file);
                $content .= "\n\n";
            }
        }
    }

    public function makeCompiledJSFront()
    {
        // Récupération des modules actifs
        $modules = Module::collections();

        // Chemin vers le fichiers js concerné
        $module_assets_path = config('modules.paths.generator.assets.path');
        $module_js_path = '/js/front.js';

        $content = "";

        // On parcours les modules
        foreach ($modules as $module) {

            // Construction du chemin vers le fichier js du module
            $js_file = $module->getPath() . '/' . $module_assets_path . $module_js_path;

            if (File::exists($js_file)) {
                // Récupération du contenu
                $content .= "/* *** Module ". $module->name ." *** */ \n";
                $content .= File::get($js_file);
                $content .= "\n\n";
            }
        }

        return $content;
    }

    public function makeCompiledJSBack()
    {
        // Récupération des modules actifs
        $modules = Module::collections();

        // Chemin vers le fichiers js concerné
        $module_assets_path = config('modules.paths.generator.assets.path');
        $module_js_path = '/js/back.js';

        $content = "";

        // On parcours les modules
        foreach ($modules as $module) {

            // Construction du chemin vers le fichier js du module
            $js_file = $module->getPath() . '/' . $module_assets_path . $module_js_path;

            if (File::exists($js_file)) {
                // Récupération du contenu
                $content .= "/* *** Module ". $module->name ." *** */ \n";
                $content .= File::get($js_file);
                $content .= "\n\n";
            }
        }

        return $content;
    }

}
