<?php

namespace Goldenscarab\Modulus\App\Http\Services\Parser\Workers;

use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Request;



/**
 *  Traitement des tags module
 */
class WorkerModule implements WorkerInterface
{

	/**
	 * La mission à exécutée
	 * @var String
	 */
	private $job;

	/**
	 * Stock la methode à utiliser pour exécuter la mission
	 * @var String
	 */
	private $method;

	/**
	 * Stock le résultat de la mission effectuée
	 * @var String
	 */
	private $render;


	public function __construct()
	{

	}

	/* Accesseurs */
	public function setJob($job)
	{
		$this->job = $job;
	}

	public function getJob()
	{
		return $this->job;
	}

	public function setMethod($method)
	{
		$this->method = $method;
	}

	public function getMethod()
	{
		return $this->method;
	}

	private function setRender($render)
	{
		$this->render = $render;
	}

	public function getRender()
	{
		return $this->render;
	}


	/**
	 * Traitement de l'ordre de mission
	 *
	 * @return String Le contenu html voué à remplacer le tag du parser
	 */
	public function make($params = null)
	{
		$module_name = $this->getJob();
		$method_name = $this->getMethod();

		// Construction de l'url vers la vue partielle du module
		$url = url('/module/'. $module_name . '/' . $method_name . '/' . implode('/', $params));

		// Récupération du rendu de l'url
		$render = Route::dispatch(Request::create($url, 'GET', array()))->getContent();

		// Mise à jour de la fiche mission
		$this->setRender($render);
	}

}

