<?php

namespace Goldenscarab\Modulus\App\Http\Services\Parser\Workers;

use Modules\Page\Http\Services\Facades\PageService;



class WorkerView implements WorkerInterface
{

	/**
	 * Stocke la mission à exécutée
	 * @var String
	 */
	private $job;

	/**
	 * Stock la methode à utiliser pour exécuter la mission
	 * @var String
	 */
	private $method;

	/**
	 * Stocke le résultat de la mission effectuée
	 * @var Objet de type View
	 */
	private $render;

	/**
	 * Données nécessaire à la construction de la vue
	 * @var Collection
	 */
	private $data;


	public function __construct()
	{
		// Récolte des données générique du site
		$this->data = null;
	}

	/* Accesseurs */
	public function setJob($job)
	{
		$this->job = $job;
	}

	public function getJob()
	{
		return $this->job;
	}

	public function setMethod($method)
	{
		$this->method = $method;
	}

	public function getMethod()
	{
		return $this->method;
	}

	private function setRender($render)
	{
		$this->render = $render;
	}

	public function getRender()
	{
		return $this->render;
	}

	/********************/
	/* Méthodes public  */
	/********************/

	/**
	 * Traitement de l'ordre de mission
	 * Tag type correspondant [ view:front.partials.ma-vue ]
	 * @return String Le contenu html voué à remplacer le tag du parser
	 */
	public function make($params = null)
	{
		// On récupère l'ordre de mission, charger la vue portant le nom ...
		$view_name = $this->getJob();

		// On récupère la liste des vues disponibles
		$views = PageService::getPartialsView($this->data);

		// On récupère le chemin des vues partielles
		$path_views = PageService::getLaravelPartialViewPath();

		// Recherche approfondi dans la liste des vues disponibles
		$view = $views->filter(function($view) use ($view_name, $path_views) {

			// Si le nom de la vue correspond, on valide
			return $view->getName() == $path_views . '.' . $view_name;

		})->first();

		// Mise à jour de la fiche mission
		$this->setRender($view);
	}

	/********************/
	/* Méthodes privées */
	/********************/


}

