<?php

namespace Goldenscarab\Modulus\App\Mails;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;


use Goldenscarab\Modulus\App\Models\User;

class SendActiveAccountRequest extends Mailable
{
    use Queueable, SerializesModels;

    private $user;
    private $reset_token;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct(User $user, $reset_token)
    {
        $this->user = $user;
        $this->reset_token = $reset_token;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->subject(config('app.name') . " - Création de compte")
                    ->view('back.user.mail.active_account_html')
                    ->text('back.user.mail.active_account_txt')
                    ->with([
                        'user'        => $this->user,
                        'reset_token' => $this->reset_token,
                        'site_name'   => config('app.name')
                    ]);
    }
}
