<?php

namespace Goldenscarab\Modulus\App\Models;

use Illuminate\Database\Eloquent\Model;
use Spatie\Permission\Models\Permission as SpatiePermission;

class Permission extends SpatiePermission
{
    private static $suffixes = [
        'read'   => 'Lire',
        'create' => 'Créer',
        'update' => 'Modifier',
        'delete' => 'Supprimer'
    ];

    public function __contruct()
    {
    	parent::__construct();
    }

    public static function getSuffixes()
    {
    	return self::$suffixes;
    }

    protected function getShortNameAttribute()
    {
    	if (!empty($this->attributes['name'])) {
	    	$name = $this->attributes['name'];
	    	return trim(str_ireplace(array_keys(self::$suffixes), '', $name), '-');
	    }
    }

    protected function getShortDisplaynameAttribute()
    {
    	if (!empty($this->attributes['display_name'])) {
	    	$display_name = $this->attributes['display_name'];
	    	return trim(str_ireplace(array_keys(self::$suffixes), '', $display_name));
    	}
    }

    protected function getShortDescriptionAttribute()
    {
    	if (!empty($this->attributes['description'])) {
	    	$description = $this->attributes['description'];
	    	return trim(str_ireplace(array_values(self::$suffixes), '', $description));
    	}
    }


}
