<?php

namespace Goldenscarab\Modulus\App\Models;

use Illuminate\Database\Eloquent\Model;

use Illuminate\Database\Eloquent\Builder;

use Carbon\Carbon;

class Tracker extends Model
{

    /* Relations */

    /* Accesseurs */

    /* Scopes */
    public function scopeSearch(Builder $query, $search)
    {
        if (is_null($search)) {
            return $query;
        }

        return $query->where('title', 'LIKE','%' . $search . '%')
            ->orWhere('slug', 'LIKE','%' . $search . '%')
            ->orWhere('content', 'LIKE','%' . $search . '%')
            ->orWhere('comment', 'LIKE','%' . $search . '%');
    }

    public function scopeCurrentWeek(Builder $query)
    {
        $start_week = Carbon::now()->subWeek(1);
        return $query->where('created_at', '>', $start_week);
    }

    public function scopeLastWeek(Builder $query)
    {
        $start_week = Carbon::now()->subWeek(2);
        $end_week   = Carbon::now()->subWeek(1);
        return $query->where('created_at', '>', $start_week)
                     ->where('created_at', '<', $end_week);
    }

    public function scopeCurrentMonth(Builder $query)
    {
        $start_month = Carbon::now()->subMonth(1);
        return $query->where('created_at', '>', $start_month);
    }

    public function scopeLastMonth(Builder $query)
    {
        $start_month = Carbon::now()->subMonth(2);
        $end_month   = Carbon::now()->subMonth(1);
        return $query->where('created_at', '>', $start_month)
                     ->where('created_at', '<', $end_month);
    }

    public function scopeCurrentYear(Builder $query)
    {
        $start_year = Carbon::now()->subYear(1);
        return $query->where('created_at', '>', $start_year);
    }

    public function scopeLastYear(Builder $query)
    {
        $start_year = Carbon::now()->subYear(2);
        $end_year   = Carbon::now()->subYear(1);
        return $query->where('created_at', '>', $start_year)
                     ->where('created_at', '<', $end_year);
    }

}
