<?php

namespace Goldenscarab\Modulus\App\Providers;

use Carbon\Carbon;

use Illuminate\Support\Facades\App;
use Illuminate\Support\Facades\URL;
use Illuminate\Support\Facades\View;
use Illuminate\Foundation\AliasLoader;
use Illuminate\Support\ServiceProvider;
use Goldenscarab\Modulus\App\Http\Services\Module\Facade\ModuleService;

/**
 * Publication :
 * php artisan vendor:publish --provider="Goldenscarab\Modulus\App\Providers\PublishesServiceProvider" --force
 */

class PublishesServiceProvider extends ServiceProvider
{
    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        // Config
        $this->publishes([
            __DIR__.'/../../config' => base_path('config')
        ]);

        // Database
        $this->publishes([
            __DIR__.'/../../database/migrations/' => base_path('database/migrations/'),
            __DIR__.'/../../database/seeders/' => base_path('database/seeders/')
        ]);

        // Assets
        $this->publishes([
            __DIR__.'/../../resources/js/publishes.js' => base_path('resources/js/modulus.js'),
            __DIR__.'/../../resources/sass/publishes.scss' => base_path('resources/sass/modulus.scss')
        ]);

        // Images
        $this->publishes([
            __DIR__.'/../../public/images/' => public_path('images/'),
        ]);

        // Modules
        $this->publishes([
            __DIR__.'/../../Modules/' => base_path('Modules/'),
        ]);

    }
}
