<?php

namespace Goldenscarab\Modulus\App\Providers;


use Illuminate\Support\Facades\Route;
//use Illuminate\Foundation\Support\Providers\RouteServiceProvider as ServiceProvider;
use Illuminate\Support\ServiceProvider;

class RouteServiceProvider extends ServiceProvider
{


    private $base_namespace = 'Goldenscarab\\Modulus\\App\\Http\\Controllers';

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        if (!defined('AUTH_HOME')) {
            define('AUTH_HOME', config('modulus.url_prefix'));
        }

        $router = $this->app->router;

        // API
        $router->prefix('api')
               ->middleware('api')
               ->namespace($this->base_namespace)
               ->group(function($router) {
            require __DIR__.'/../../routes/api.php';
        });

        // AUTH
        $router->middleware('web')
               ->namespace($this->base_namespace)
               ->group(function($router) {
            require __DIR__.'/../../routes/auth.php';
        });

        // Modulus
        $router->prefix(trim(AUTH_HOME, '/'))
               ->middleware(['web'])
               ->namespace($this->base_namespace)
               ->group(function($router) {
            require __DIR__.'/../../routes/web.php';
        });

        // Custom
        $router->prefix(trim(AUTH_HOME, '/'))
               ->middleware(['web'])
               ->group(function($router) {
            require __DIR__.'/../../routes/custom.php';
        });
    }

    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {

    }
}
