<?php

namespace Goldenscarab\Modulus\App\Rules;

use Illuminate\Contracts\Validation\Rule;

class AntiRobotTime implements Rule
{
    private $time;

    /**
     * Create a new rule instance.
     *
     * @return void
     */
    public function __construct($time)
    {
        $this->time = $time;
    }

    /**
     * Determine if the validation rule passes.
     *
     * @param  string  $attribute
     * @param  mixed  $value
     * @return bool
     */
    public function passes($attribute, $value)
    {
        // Calcul du temps entre la construction du formulaire et du post
		$timestamp_form = decrypt($value);
		$timestamp_post = time();

		$delay_limit    = intVal($this->time);
		$delay_post     = ($timestamp_post - $timestamp_form);

		// Si le delta temps est inférieur à la limite, alors il s'agit d'un robot
		return $delay_post > $delay_limit;
    }

    /**
     * Get the validation error message.
     *
     * @return string
     */
    public function message()
    {
        return '<i class="fa fa-android mr-1" aria-hidden="true"></i>L\'application vous à détecté comme étant un robot';
    }
}
