<?php

namespace Goldenscarab\Modulus\App\Rules;

use Illuminate\Support\Facades\File;
use Illuminate\Contracts\Validation\Rule;

class PathFolderImages implements Rule
{
    /**
     * Create a new rule instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Determine if the validation rule passes.
     *
     * @param  string  $attribute
     * @param  mixed  $value
     * @return bool
     */
    public function passes($attribute, $value)
    {
        if (empty($value)) {
            return true;
        }

        // Construction du chemin complet vers le dossier contenant les images
        $folder_path = public_path() . $value;

        // Récupération d'un tableau contenant les images
        $folder_img = glob($folder_path.'/*.{jpg,png,gif,svg}', GLOB_BRACE);

        // Si il s'agit d'un dossier et qu'il contient des images, alors on valide
        return (File::isDirectory(public_path() . $value) && count($folder_img) > 0);
    }

    /**
     * Get the validation error message.
     *
     * @return string
     */
    public function message()
    {
        return 'Le champs :attribute doit contenir un chemin vers un dossier contenant des images';
    }
}
