<?php

namespace Goldenscarab\Modulus\App\Rules;

use Illuminate\Support\Str;
use Illuminate\Support\Facades\File;
use Illuminate\Contracts\Validation\Rule;

class PathImage implements Rule
{
    /**
     * Create a new rule instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Determine if the validation rule passes.
     *
     * @param  string  $attribute
     * @param  mixed  $value
     * @return bool
     */
    public function passes($attribute, $value)
    {
        if (empty($value)) {
			return true;
		}

		// Construction du chemin complet vers le fichier image
		$img_path = public_path() . $value;

		// On controle si le fichier choisi existe bien
		if (File::isFile($img_path)) {

            // On récupère le Mime du fichier choisie
            $img_mime = File::mimeType($img_path);

            // Vérification que le type de fichier est accepté
            return Str::contains($img_mime, 'image');
        }

		return false;
    }

    /**
     * Get the validation error message.
     *
     * @return string
     */
    public function message()
    {
        return 'La valeur du champs :attribute ne pointe pas vers une image valide';
    }
}
