<?php

namespace Goldenscarab\Modulus\App\Rules;

use Illuminate\Support\Facades\File;
use Illuminate\Contracts\Validation\Rule;

class PathPdf implements Rule
{
    /**
     * Create a new rule instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Determine if the validation rule passes.
     *
     * @param  string  $attribute
     * @param  mixed  $value
     * @return bool
     */
    public function passes($attribute, $value)
    {
        if (empty($value)) {
			return true;
		}

		// On défini les formats acceptés
		$mimes_available = ['document/pdf', 'application/pdf'];

		// Construction du chemin complet vers le fichier pdf
		$pdf_path = public_path() . $value;

		// On controle si le fichier choisi existe bien
		if (File::isFile($pdf_path)) {

			// On récupère le Mime du fichier choisi
			$pdf_mime = File::mimeType($pdf_path);

			// Vérification que le type de fichier est accepté
			return in_array($pdf_mime, $mimes_available);
		}

		return false;
    }

    /**
     * Get the validation error message.
     *
     * @return string
     */
    public function message()
    {
        return 'La valeur du champs :attribute ne pointe pas vers un fichier PDF valide';
    }
}
