<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTrackersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('trackers', function (Blueprint $table) {
            $table->increments('id');
            $table->string('ip');
            $table->string('connected_user')->nullable();
            $table->mediumText('request_uri');
            $table->string('request_method');
            $table->mediumText('http_user_agent')->nullable();
            $table->string('provider')->nullable();
            $table->string('zip_code')->nullable();
            $table->string('city')->nullable();
            $table->string('region_name')->nullable();
            $table->string('country_name')->nullable();
            $table->string('latitude')->nullable();
            $table->string('longitude')->nullable();
            $table->string('screen_width')->nullable();
            $table->string('screen_height')->nullable();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('trackers');
    }
}
