require('./simply-beautiful.js');


;(function($)
{
    $.fn.codeeditor = function(opts) {

        /**
         * Attributs de l'objet
         * @type {Any}
         */
        var attr = $.extend({
            
        }, opts);

        /**
         * Méthodes de l'object
         * @type {Object}
         */
        var Self = {};

        Self.init = function(el) {
            Self.setAceJs(el, attr);
            
        };

        Self.setAceJs = function(el, attr) {
            var editor_id = $(el).attr('id');
            var value = $(el).text();
            if ($(el).attr('data-beautiful') == 'true' || $(el).attr('data-beautiful') == 1) {
                var beautify = SimplyBeautiful();
                $(el).text(beautify.html(value));
            }
            var editor = new ace.edit(editor_id);
            editor.setTheme("ace/theme/monokai");
            editor.getSession().setMode("ace/mode/" + $(el).attr('data-language'));
            editor.setOption("enableEmmet", true);
            editor.getSession().setUseWrapMode(true);
            editor.setHighlightActiveLine(true);
            editor.setShowPrintMargin(false);
            editor.setReadOnly($(el).attr('data-readonly'));
            // editor.setOptions({
            //     maxLines: 20
            // });
            editor.commands.addCommand({
                name: 'saveFile',
                bindKey: {
                    win: 'Ctrl-S',
                    mac: 'Command-S',
                    sender: 'editor|cli'
                },
                exec: function(env, args, request) {
                    $('form.ajax').submit();
                }
            });

            editor.commands.addCommand({
                name: 'convertHtml',
                bindKey: {
                    win: 'Ctrl-Alt-C',
                    mac: 'Ctrl-Alt-C',
                    sender: 'editor|cli'
                },
                exec: function(env, args, request) {

                    console.info("Attention à bien vérifier que un parent entoure bien les éléments en traiter");
                    var language = env.renderer.container.dataset.language;

                    if (language == 'html') {
                        var $html = $($(env.renderer.container.dataset.target).val());
                        
                        // Parcours des images dans le html
                        $html.find('img').each(function (i, img) {

                            // Convertion de l'image en Base64
                            var xhr = new XMLHttpRequest();
                            xhr.onload = function() {
                                var reader = new FileReader();
                                reader.onloadend = function() {
                                    $(img).attr('src', reader.result);
                                    editor.setValue($html.get(0).outerHTML);
                                }
                                reader.readAsDataURL(xhr.response);
                            };
                            xhr.open('GET', $(img).attr('src'));
                            xhr.responseType = 'blob';
                            xhr.send();

                        });

                    }
                }
            });



            // Style des caractères de l'éditeur
            document.getElementById(editor_id).style.fontSize='12px';
            document.getElementById(editor_id).style.fontFamily='monospace';

            editor.getSession().on('change', function(e) {
                $($(el).attr('data-target')).val(editor.getValue());
            });
        }

        function encodeImagetoBase64(element) {

            var file = element.files[0];
            var reader = new FileReader();

            reader.onloadend = function() {
                $(".link").attr("href",reader.result);
                $(".link").text(reader.result);
            }
            reader.readAsDataURL(file);
        }

        Self.base64Encode = function(str) {
            var CHARS = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";
            var out = "", i = 0, len = str.length, c1, c2, c3;
            while (i < len) {
                c1 = str.charCodeAt(i++) & 0xff;
                if (i == len) {
                    out += CHARS.charAt(c1 >> 2);
                    out += CHARS.charAt((c1 & 0x3) << 4);
                    out += "==";
                    break;
                }
                c2 = str.charCodeAt(i++);
                if (i == len) {
                    out += CHARS.charAt(c1 >> 2);
                    out += CHARS.charAt(((c1 & 0x3)<< 4) | ((c2 & 0xF0) >> 4));
                    out += CHARS.charAt((c2 & 0xF) << 2);
                    out += "=";
                    break;
                }
                c3 = str.charCodeAt(i++);
                out += CHARS.charAt(c1 >> 2);
                out += CHARS.charAt(((c1 & 0x3) << 4) | ((c2 & 0xF0) >> 4));
                out += CHARS.charAt(((c2 & 0xF) << 2) | ((c3 & 0xC0) >> 6));
                out += CHARS.charAt(c3 & 0x3F);
            }
            return out;
        }

        /**
         * Return   Retourne le plugin sur tous les élements selectionnés
         */
        return this.each(function() {
            Self.init(this);

        });
    }
})(jQuery);
