;(function($)
{
    $.fn.popupfinder = function(opts)
    {

        /**
         * Attributs de l'objet
         * @type {Any}
         */
        var attr = $.extend({
            callback: null,
            only_mimes: null,
            only_mimes_default: ["image", "video", "application/pdf", "application/vnd.openxmlformats-officedocument.wordprocessingml.document"],
            folder: null,
            instance: null,

        }, opts);

        /**
         * Méthodes de l'object
         * @type {Object}
         */
        var Self = {};

        Self.init = function(el) {
            
            // Init de la popup
            $(el).on('click', function() {

                // Paramétrage du finder
                var mimes  =  $(this).attr('data-mimes');
                var folder = $(this).attr('data-folder');
                var thumb  = $(this).attr('data-thumb');
                var field  = $(this).attr('data-field');

                if (mimes) {
                    attr.only_mimes = mimes.split(',');
                }

                attr.folder = folder;

                attr.callback = function(file) {
                    $(thumb).attr('src', '/' + file);
                    $(field).val('/' + file);
                }

                $.fancybox({
                    content: '<div id="elfinderselect"></div>',
                    helpers : {
                        title: {
                          type: 'outside',          
                          position: 'top'
                        }
                    },
                    beforeLoad: function() {
                        this.title = '<h3 class="text-center">Gestionnaire de fichiers</h3>';
                    },
                    afterShow: function() {
                        Self.setElFinder(attr);
                    },
                    afterClose: function() {
                        attr.instance.destroy();
                    },
                    closeBtn: true,
                    width: 900,
                    maxHeight: 700
                });
            });
        };

        Self.setElFinder = function(params) {

            params.instance = $('#elfinderselect').elfinder({
                url: location.origin + '/elfinder/connector',
                lang: 'fr',
                disabled: ['extract', 'archive', 'search'],
                requestType: 'get',
                resizable: false,
                width: 800,
                height: 530,
                commands : ['open', 'reload', 'home', 'up', 'back', 'forward', 'getfile', 'quicklook', 
                'download', 'rm', 'rename', 'mkdir', 'upload', 'info', 'resize', 'sort'],
                onlyMimes: params.only_mimes,
                uiOptions : {
                    toolbar : [
                        ['back', 'forward'],
                        ['reload'],
                        ['home', 'up'],
                        ['mkdir', 'mkfile', 'upload'],
                        ['open', 'download', 'getfile'],
                        ['info'],
                        ['quicklook'],
                        ['rm', 'rename', 'resize'],
                        ['search'],
                    ]
                },
                customData: {
                    _token: window.Laravel.csrfToken
                },
                commandsOptions : {
                    getfile: {
                        onlyURL: false,
                        multiple: false,
                        folders: params.folder,
                    }
                },
                getFileCallback: function(url, instance) {

                    //Récupération du chemin du fichier
                    var file_full_url = url.url;
                    var file_uri      = url.path;
                    var file_mime     = url.mime;

                    // Lancement du callback
                    if (params.callback) params.callback(file_uri);

                    $.fancybox.close();
                }

            }).elfinder('instance');
        }


        /**
         * Return   Retourne le plugin sur tous les élements selectionnés
         */
        return this.each(function()
        {
            Self.init(this);

        });
    }
})(jQuery);