@extends('modulus::layouts.app.adminlte')

@section('content')

	<div class="card">
        <div class="card-header bg-primary">
            <h3 class="card-title">Tendance des visites</h3>
            <div class="card-tools">
                <button type="button" class="btn btn-tool" data-widget="collapse" data-toggle="tooltip" title="Collapse">
                  <i class="fa fa-minus"></i>
                </button>
                <button type="button" class="btn btn-tool" data-widget="remove" data-toggle="tooltip" title="Remove">
                  <i class="fa fa-times"></i>
                </button>
            </div>
        </div>
        <div class="card-body">
            <div id="pages-in-year"></div>
        </div>
    </div>

	<div class="row">
		<div class="col-md-6">
			<div class="card">
				<div class="card-header">
		            <h3 class="card-title">Visites mois</h3>
		            <div class="card-tools">
		                <button type="button" class="btn btn-tool" data-widget="collapse" data-toggle="tooltip" title="Collapse">
		                  <i class="fa fa-minus"></i>
		                </button>
		                <button type="button" class="btn btn-tool" data-widget="remove" data-toggle="tooltip" title="Remove">
		                  <i class="fa fa-times"></i>
		                </button>
		            </div>
		        </div>
				<div class="card-body">

					<div class="info-box bg-gradient-success">
		              	<span class="info-box-icon"><i class="fa fa-line-chart"></i></span>
		              	<div class="info-box-content">
			                <span class="info-box-text">Mois courant</span>
			                <span class="info-box-number">{{ $current_month->count() }} visites</span>

			                <div class="progress">
			                  	<div class="progress-bar" style="width: {{ calc_increase_percent($last_month->count(), $current_month->count()) }}%"></div>
			                </div>
			                <span class="progress-description">
			                  	Accroissement : {{ calc_increase_percent($last_month->count(), $current_month->count()) }} %
			                </span>
		             	</div>
		            </div>

					<div class="small-box bg-default">
		              	<div class="inner">
		                	<h3>{{ $last_month->count() }}</h3>

		                	<p>Mois dernier</p>
		              	</div>
		              	<div class="icon">
		                	<i class="fa fa-eye"></i>
		              	</div>
		            </div>
				</div>
			</div>
		</div>

		<div class="col-md-6">
			<div class="card">
				<div class="card-header">
		            <h3 class="card-title">Visites année</h3>
		            <div class="card-tools">
		                <button type="button" class="btn btn-tool" data-widget="collapse" data-toggle="tooltip" title="Collapse">
		                  <i class="fa fa-minus"></i>
		                </button>
		                <button type="button" class="btn btn-tool" data-widget="remove" data-toggle="tooltip" title="Remove">
		                  <i class="fa fa-times"></i>
		                </button>
		            </div>
		        </div>
				<div class="card-body">

					<div class="info-box bg-gradient-info">
						<span class="info-box-icon"><i class="fa fa-line-chart"></i></span>

						<div class="info-box-content">
							<span class="info-box-text">Année courante</span>
							<span class="info-box-number">{{ $current_year->count() }} visites</span>

							<div class="progress">
								<div class="progress-bar" style="width: {{ calc_increase_percent($last_year->count(), $current_year->count()) }}%"></div>
							</div>
							<span class="progress-description">
								Accroissement : {{ calc_increase_percent($last_year->count(), $current_year->count()) }} %
							</span>
						</div>
					</div>

					<div class="small-box bg-default">
		              	<div class="inner">
		                	<h3>{{ $last_year->count() }}</h3>

		                	<p>Année dernière</p>
		              	</div>
		              	<div class="icon">
		                	<i class="fa fa-eye"></i>
		              	</div>
		            </div>
				</div>
			</div>
		</div>

	</div>


	<div class="card">
        <div class="card-header">
            <h3 class="card-title">Dernières visites</h3>
            <div class="card-tools">
                <button type="button" class="btn btn-tool" data-widget="collapse" data-toggle="tooltip" title="Collapse">
                  <i class="fa fa-minus"></i>
                </button>
                <button type="button" class="btn btn-tool" data-widget="remove" data-toggle="tooltip" title="Remove">
                  <i class="fa fa-times"></i>
                </button>
            </div>
        </div>
        <div class="card-body">
			<div class="table-responsive">
				<table id="logs-by-ip" class="table table-hover table-bordered table-striped">
		            <thead>
		                <tr>
		                    <th>IP</th>
		                    <th>Visiteur</th>
		                    <th>Code Postal</th>
		                    <th>Ville</th>
		                    <th>Pays</th>
		                    <th>User Agent</th>
		                    <th>Date</th>
		                </tr>
		            </thead>
		            <tbody>
						@foreach ($current_week as $visitor)
						<tr>
		                    <td title="Dernière requête : {{ $visitor->request_uri }} - {{ $visitor->request_method }}">{{ $visitor->ip }}</td>
		                    <td>{{ $visitor->connected_user }}</td>
		                    <td>{{ $visitor->zip_code }}</td>
		                    <td>{{ $visitor->city }}</td>
		                    <td>{{ $visitor->country_name }}</td>
		                    <td title="{{ $visitor->http_user_agent }}">{{ Str::limit($visitor->http_user_agent, 20) }}</td>
		                    <td>{{ $visitor->created_at->format('d/m/Y H:i:s') }}</td>
		                </tr>
		                @endforeach
		            </tbody>
		        </table>
			</div>
        </div>
    </div>



	<div class="row d-flex justify-content-center mb-5">
		@if (auth()->user()->can('tracker-create'))
		<div class="col-sm-4">
			<a href="{{ route('back.tracker.export') }}" class="btn btn-default btn-block">
				<i class="fa fa-upload mr-2" aria-hidden="true"></i>Export logs
			</a>
		</div>
		@endif

		@if (auth()->user()->can('tracker-delete'))
		<div class="col-sm-4">
			<a href="#" data-href="{{ route('back.tracker.truncate') }}" class="btn btn-danger btn-block delete">
				<i class="fa fa-trash mr-2" aria-hidden="true"></i>Effacer les logs
			</a>
		</div>
		@endif
	</div>

	<script>
		// Attente de la fin de chargement de la page
		document.addEventListener('DOMContentLoaded', function() {

            // Graphique des tendances
            Highcharts.chart('pages-in-year', {

                chart: {
			        // line, spline, column
			        type: 'spline'
			    },
                title: {
                    text: 'Nombre de pages visitées'
                },

                subtitle: {
                    text: "De {{ ucfirst(\Carbon\Carbon::now()->subYear(2)->addMonth()->formatLocalized('%B %Y')) }} à {{ ucfirst(\Carbon\Carbon::now()->formatLocalized('%B %Y')) }}"
                },
                yAxis: {
                    title: {
                        text: 'Visites'
                    }
                },
                xAxis: {
			        title: {
			            text: 'Mois'
			        },
			        categories: [
                    	@for ($month = 1; $month <= 12; $month++)
                    		'{{ ucfirst(\Carbon\Carbon::now()->subYear()->addMonth($month)->formatLocalized('%B')) }}',
                    	@endfor
			        ]
			    },
                plotOptions: {
			        line: {
			            dataLabels: {
			                enabled: true
			            },
			            enableMouseTracking: true
			        }
			    },
			    legend: {
			        enabled: true
			    },

                series: [{
                    name: "Année dernière",
                    color: '#d0d0d0',
                    data: [
                    	@for ($month = 1; $month <= 12; $month++)
                    		{{ $last_year_by_month->get(\Carbon\Carbon::now()->copy()->subYear()->addMonth($month)->format('m'), collect())->count() }},
                    	@endfor
                    ]
                }, {
                    name: "Année courante",
                    color: '#7cb5ec',
                    data: [
                    	@for ($month = 1; $month <= 12; $month++)
                    		{{ $current_year_by_month->get(\Carbon\Carbon::now()->copy()->subYear()->addMonth($month)->format('m'), collect())->count() }},
                    	@endfor
                    ]
                }]

            });

            $('.highcharts-credits').remove();



            // Tableau des derniers visiteurs
            $('#logs-by-ip').DataTable({
				paging: 		true,
				lengthChange: 	false,
				searching: 		true,
				ordering: 		true,
				info: 			true,
				autoWidth: 		false,
				responsive: 	true,
				order: [],
				language: {
			        processing:     "Traitement en cours...",
			        search:         "Rechercher&nbsp;:",
			        lengthMenu:     "Afficher _MENU_ &eacute;l&eacute;ments",
			        info:           "Affichage de l'&eacute;lement _START_ &agrave; _END_ sur _TOTAL_ &eacute;l&eacute;ments",
			        infoEmpty:      "Affichage de l'&eacute;lement 0 &agrave; 0 sur 0 &eacute;l&eacute;ments",
			        infoFiltered:   "(filtr&eacute; de _MAX_ &eacute;l&eacute;ments au total)",
			        infoPostFix:    "",
			        loadingRecords: "Chargement en cours...",
			        zeroRecords:    "Aucun &eacute;l&eacute;ment &agrave; afficher",
			        emptyTable:     "Aucune donnée disponible dans le tableau",
			        paginate: {
			            first:      	"Premier",
			            previous:   	"Pr&eacute;c&eacute;dent",
			            next:       	"Suivant",
			            last:       	"Dernier"
			        },
			        aria: {
			            sortAscending:  ": activer pour trier la colonne par ordre croissant",
			            sortDescending: ": activer pour trier la colonne par ordre décroissant"
			        }
			    }
		    });

        });


	</script>

@endsection
