@extends('layouts.back.adminlte')


@section('content')
    <div class="card">
        <div class="card-body">
            <div id="elfinder"></div>
        </div>
    </div>
@endsection

@push('scripts')

    <script type="text/javascript">

        $(document).ready(function() {

            var elf = $('#elfinder').elfinder({
                // set your elFinder options here
                url: '{!! route("elfinder.connector") !!}',  // connector URL
                lang: '{!! config('app.locale') !!}',
                disabled: ['extract', 'archive', 'search'],
                height: 600,
                requestType: 'get',
                resizable: false,
                commands : ['open', 'reload', 'home', 'up', 'back', 'forward', 'getfile', 'quicklook', 
                'download', 'rm', 'rename', 'mkdir', 'upload', 'info', 'resize', 'sort'],
                onlyMimes: ["image", "video", "application/pdf", "application/vnd.openxmlformats-officedocument.wordprocessingml.document"],
                uiOptions : {
                    toolbar : [
                        ['back', 'forward'],
                        ['reload'],
                        ['home', 'up'],
                        ['mkdir', 'mkfile', 'upload'],
                        ['open', 'download', 'getfile'],
                        ['info'],
                        ['quicklook'],
                        ['rm', 'rename', 'resize'],
                        ['search'],
                    ]
                },
                customData: {
                    _token: '{!! csrf_token() !!}'
                },
                commandsOptions : {
                    getfile: {
                        onlyURL: false,
                        multiple: false,
                        folders: false,
                    }
                }
              
            }).elfinder('instance');      
        });

    </script>
@endpush