@extends('modulus::layouts.app.list')

@php
	// Paramétrage de la liste
	extract([
        'list_name'     => 'module',
		'route_prefix'  => $route_prefix,
		'can_prefix'    => $can_prefix,
		'is_creatable'  => false,
		'has_menu'      => false,
		'is_exportable' => false,
		'is_resetable'  => false,
		'is_truncable'  => false,
		'is_searchable' => false,
		'is_paginable'  => false,
		'items'         => $modules,
	]);
@endphp

@section('list')
	{!! Template::list4([
		'route_prefix' => $route_prefix,
        'can_prefix'   => $can_prefix,
        'source' => $items,
        'menu'         => [
            'button' => [
                'label'      => ['condition' => [
                    'value' => ':isStatus(0)',
                    'true'  => '<i class="fa fa-check-square-o mr-2"></i>Installer',
                    'false' => '<i class="fa fa-cog mr-2"></i>Configurer'
                ]],
                'permission' => 'module-update',
                'class' => ['condition' => [
                    'value' => ':isStatus(0)',
                    'true' => 'btn-success',
                    'false' => ['condition' => [
                        'value' => ':get("config")',
                        'comparator' => '1',
                        'true' => 'btn-default',
                        'false' => 'btn-default disabled'
                    ]]
                ]],
                'href' => ['condition' => [
                    'value' => ':isStatus(0)',
                    'true'  => ['url' => [
                        'route' => $route_prefix . '.install',
                        'args'  => [':getAlias()']
                    ]],
                    'false' => ['condition' => [
                        'value' => ':get("config")',
                        'comparator' => '1',
                        'true' => ['url'    => [
                        'route' => ['template' => [
                            'format' => 'module.%s.config.form',
                            'args'   => ':getAlias()'
                        ]],
                        'args'   => []
                    ]],
                        'false' => '#'
                    ]]
                ]],
            ],
            'dropdown' => [ 'items' => [
                [
                    'label'      => '<i class="fa fa-times mr-2"></i>Désinstaller',
                    'permission' => 'module-update',
                    'class'      => ['condition' => [
                        'value' => ':isStatus(1)',
                        'true'  => 'confirm',
                        'false' => 'disabled'
                    ]],
                    'title' => 'Désinstalle complètement le module. Toutes les données sont perdues',
                    'href'       => '#',
                    'data-href' => ['condition' => [
                        'value' => ':isStatus(1)',
                        'true'  => ['url'    => [
                            'route' => $route_prefix . '.uninstall',
                            'args'  => [':getAlias()']
                        ]],
                    ]],
                ],[
                    'label'      => '<i class="fa fa-refresh mr-2"></i>Rafraichir',
                    'permission' => 'module-update',
                    'class'      => ['condition' => [
                        'value' => ':isStatus(1)',
                        'false' => 'disabled'
                    ]],
                    'title' => 'Met à jour le menu sans perdre les données',
                    'href' => ['condition' => [
                        'value' => ':isStatus(1)',
                        'true'  => ['url'    => [
                            'route' => $route_prefix . '.refresh',
                            'args'  => [':getAlias()']
                        ]],
                    ]],
                ],[
                    'label'      => '<i class="fa fa-git mr-2"></i>Mettre à jour',
                    'permission' => 'module-update',
                    'title' => 'Met à jour le module depuis son dépot Git',
                    'href' => ['url'    => [
                        'route' => $route_prefix . '.update',
                        'args'  => [':getAlias()']
                    ]],
                ]
            ]]
        ],

		'columns' => array([
				'label'    => '',
				'value'    => ':get("icon")'
			],[
				'label'    => 'Nom',
				'value'    => ':get("name")'
			],[
				'label'    => 'Description',
                'value'    => ':get("description")',
                'class'    => 'd-none d-lg-table-cell',
			],[
				'label'    => 'Version',
                'value'    => ':get("version")'

			]
		)
	]) !!}
@endsection


@section('action-prepend')

@endsection

@section('menu-header')

@endsection

@section('action-append')

@endsection

@section('filters')

@endsection

@push('scripts')

@endpush
