@extends('modulus::layouts.app.form')

@section('fields')

	<input type="hidden" name="id" value="{{ $item->id }}">

	<div class="row">

		<div class="col-lg-6">
		    <div class="card card-success">
		        <div class="card-header">
		            <h3 class="card-title">Profil</h3>
		        </div>
		        <div class="card-body">
		            <div class="form-row">
		                <div class="col-md-6">
			                {!! \Field::input([
								'label'       => 'Nom',
								'name'        => 'lastname',
								'value'       => $item->lastname,
								'prefix'      => '<i class="fa fa-bookmark"></i>',
								'placeholder' => 'ex : DOE',
								'is_required' => true,
							]) !!}
		                </div>
		                <div class="col-md-6">
					        {!! \Field::input([
								'label'       => 'Prénom',
								'name'        => 'firstname',
								'value'       => $item->firstname,
								'prefix'      => '<i class="fa fa-bookmark"></i>',
								'placeholder' => 'ex : John',
								'is_required' => true,
							]) !!}
		                </div>
		            </div>
		            <div class="form-row">
		                <div class="col">
			                {!! \Field::textarea([
								'label' => 'Commentaire',
								'name'  => 'comment',
								'value' => $item->comment,
								'rows'  => 3
							]) !!}
		                </div>
		            </div>
		            <div class="form-row mb-3">
			            <div class="col-md-6">
							{!! \Field::select([
								'label'       => 'Avatar',
								'name'        => 'avatar',
								'prefix'      => '<img class="thumb" src="' . $item->avatar . '" style="height: 20px;"/>',
								'value'       => $item->avatar,
								'is_required' => true,
								'options' => [
									'collect' => $avatars,
									'value'   => 'image',
									'text'    => 'label',
								]
							]) !!}
			            </div>
			            <div class="col-md-6">
			                {!! \Field::select([
								'label'       => 'Statut',
								'name'        => 'active',
								'prefix'      => '<i class="fa fa-check"></i>',
								'value'       => $item->active,
								'is_required' => true,
								'options' => [
									0 => 'Compte désactivé',
									1 => 'Compte activé'
								]
							]) !!}
			            </div>
			        </div>
		        </div>
		    </div>
		</div>

		<div class="col-lg-6">
		    <div class="card card-default">
		        <div class="card-header">
		            <h3 class="card-title">Professionnel</h3>
		        </div>
		        <div class="card-body">
		            <div class="form-row">
		                <div class="col-md-6">
			                {!! \Field::input([
								'label'       => 'Société',
								'name'        => 'company',
								'value'       => $item->company,
								'prefix'      => '<i class="fa fa-industry"></i>',
								'placeholder' => 'ex : Goldenscarab'
							]) !!}
		                </div>
		                <div class="col-md-6">
			                {!! \Field::input([
								'label'       => 'Domaine d\'activité',
								'name'        => 'activity',
								'value'       => $item->activity,
								'prefix'      => '<i class="fa fa-pie-chart"></i>',
								'placeholder' => 'ex : Web'
							]) !!}
		                </div>
		            </div>
		            <div class="form-row">
		                <div class="col-md-6">
		                    {!! \Field::input([
								'label'       => 'Téléphone',
								'name'        => 'telephone',
								'value'       => $item->telephone,
								'prefix'      => '<i class="fa fa-phone"></i>',
								'placeholder' => 'ex : 0605040302'
							]) !!}
		                </div>
		            </div>
		        </div>
		    </div>
		</div>

		<div class="col-md-6">
		    <div class="card card-info">
		        <div class="card-header">
		            <h3 class="card-title">Adresse</h3>
		        </div>

		        <div class="card-body">
		           <div class="form-row">
			            <div class="col">
		                	{!! \Field::input([
								'label'       => 'Adresse',
								'name'        => 'address',
								'value'       => $item->address,
								'prefix'      => '<i class="fa fa-map-marker"></i>',
								'placeholder' => 'ex : 10 rue des Jardins'
							]) !!}
		                </div>
		            </div>
			        <div class="form-row">
			            <div class="col-md-4">
			                {!! \Field::input([
								'label'       => 'Code postal',
								'name'        => 'zipcode',
								'value'       => $item->zipcode,
								'placeholder' => 'ex : 01234'
							]) !!}
			            </div>
			            <div class="col-md-8">
			                {!! \Field::input([
								'label'       => 'Ville',
								'name'        => 'city',
								'value'       => $item->city,
								'placeholder' => 'ex : TOULOUSE'
							]) !!}
			            </div>
			        </div>
		        </div>
		    </div>
		</div>

		<div class="col-md-6">
		    <div class="card card-warning">
		        <div class="card-header">
		            <h3 class="card-title">Accès / compte</h3>
		        </div>

		        <div class="card-body">
		             <div class="form-row mb-3">
		                <div class="col">
		                    {!! \Field::select([
								'label'       => 'Rôle',
								'name'        => 'role',
								'class'       => 'select2',
								'values'      => $item->getRoleNames()->toArray(),
								'is_multiple' => true,
								'is_required' => true,
								'options' => [
							        'collect'  => $roles,
							        'value'    => 'name',
							        'text'     => 'display_name',
							    ]
							]) !!}
		                </div>
		            </div>
		            <div class="form-row">
		                <div class="col">
		                    {!! \Field::input([
								'label'       => 'Email',
								'name'        => 'email',
								'type'        => 'email',
								'prefix'      => '<i class="fa fa-envelope"></i>',
								'is_required'    => true,
								'placeholder' => "ex : user@mail.tld",
								'help'        => 'L\'email sera utilisé comme identifiant',
								'value'       => $item->email
							]) !!}
		                </div>
		            </div>

		            <div class="form-row">
		                <div class="col-sm-6">
		                    {!! \Field::input([
								'label'       => 'Mot de passe',
								'name'        => 'password',
								'type'        => 'password',
								'prefix'      => '<i class="fa fa-key"></i>',
								'placeholder' => 'Laissez vide pour ne rien changer'
							]) !!}
		                </div>
		                <div class="col-sm-6">
		                    {!! \Field::input([
								'label'       => 'Confirmation mot de passe',
								'name'        => 'password_confirmation',
								'type'        => 'password',
								'prefix'      => '<i class="fa fa-key"></i>',
								'placeholder' => 'Laissez vide pour ne rien changer',
							]) !!}
		                </div>
		            </div>

		        </div>
		    </div>
		</div>
	</div>
@endsection


@push ('scripts')
	<script type="text/javascript">
		$(function() {
			$('#field-avatar').on('change', function() {
				$(this).prev().find('img.thumb').attr('src', $(this).val());
			});
		});
	</script>

@endpush
