@extends('modulus::layouts.app.list')

@php
	// Paramétrage de la liste
	extract([
		'list_name'     => 'utilisateur',
		'can_prefix'    => 'user',
		'is_creatable'  => true,
		'has_menu'      => true,
		'is_exportable' => false,
		'is_resetable'  => false,
		'is_truncable'  => false,
		'is_searchable' => true,
		'is_paginable'  => true,
		'items'         => $users,
	]);
@endphp

@section('list')
    {!! Template::list4([
        'route_prefix' => $route_prefix,
        'can_prefix'   => $can_prefix,
        'menu'         => [
            'button' => '[UPDATE]',
            'dropdown' => [ 'items' => [
                [
                    'label' => '<i class="fa fa-paper-plane-o mr-2"></i>Renvoyer e-mail création de compte',
                    'href'  => ['template' => [
                        'format' => '/user/send-created-mail/%s',
                        'args'   => ':id'
                    ]]
                ],
                '[SEPARATOR]',
                '[DELETE]'
            ]]
        ],
        'source' => $items,
        'columns' => array([
                'label'    => '#',
                'value'    => ':id',
                'sortable' => 'id'
            ],[
                'label'    => 'Nom',
                'value'    => ':name',
                'sortable' => 'lastname'
            ],[
                'label'    => 'E-mail',
                'value'    => ':email',
                'sortable' => 'email'
            ],[
                'label'    => 'Commentaire',
                'value'    => ':comment',
                'sortable' => 'comment'
            ],[
                'label'    => 'Rôles',
                'value'    => ':role_html'
            ],[
                'label'    => 'Statut',
                'value'    => ':active_html',
                'sortable' => 'active'
            ],[
                'label'    => 'Date',
                'value'    => ":updated_at",
                'sortable' => 'updated_at',
                'class'    => 'd-none d-md-table-cell'
            ]
        )
    ]) !!}


@endsection

@section('menu-header')
	@can('permission-read')
		<a class="dropdown-item" href="{{ route('modulus.user.permission.index') }}" title="Administration des permissions">
			<i class="fa fa-unlock-alt mr-2" aria-hidden="true"></i> Gestion des permissions
		</a>
	@endcan

	@can('role-read')
		<a class="dropdown-item" href="{{ route('modulus.user.role.index') }}" title="Administration des rôles">
			<i class="fa fa-tags mr-1" aria-hidden="true"></i>Gestion des rôles
		</a>
	@endcan
@endsection

@section('filters')
	<div class="col-sm-6 mb-1">
		{!! \Field::select([
			'name'        => 'role',
			'value'       => Request::get('role'),
			'class'       => 'form-control-sm w-100',
			'placeholder' => '-- Rôles --',
			'attributes'  => ['onchange' => "document.getElementById('filter-form').submit();"],
			'options' => [
				'collect' => $roles,
				'value'   => 'id',
				'text'    => 'display_name',
		    ]
		]) !!}
	</div>
@endsection
