@extends('modulus::layouts.app.form')

@section('fields')

    <div class="card">

{{-- 		<form action="{{ route('back.user.role.store', $role->id) }}" method="post" enctype="multipart/form-data">
			{{ csrf_field() }} --}}
            <div class="card-header d-flex p-0">
                <h3 class="card-title p-3">{!! $action !!}</h3>
                <ul class="nav nav-tabs ml-auto p-2">
                    <li class="nav-item"><a class="nav-link active show" href="#tab_1" data-toggle="tab">Général</a></li>
                    <li class="nav-item"><a class="nav-link" href="#tab_2" data-toggle="tab">Permissions</a></li>
                </ul>
          	</div>
          	<div class="card-body">
                <div class="tab-content">
                    <div class="tab-pane active show" id="tab_1" role="tabpanel">

                        <div class="form-row">
			                <div class="col-sm-6">
				                {!! \Field::input([
									'label'       => 'Étiquette',
									'name'        => 'display_name',
									'type'        => 'text',
									'prefix'      => '<i class="fa fa-bookmark"></i>',
									'is_required'    => true,
									'placeholder' => "ex : Mon rôle",
									'value'       => $item->display_name
								]) !!}
				            </div>

				            <div class="col-sm-6">
				                {!! \Field::input([
									'label'       => 'Nom',
									'name'        => 'name',
									'type'        => 'text',
									'prefix'      => '<i class="fa fa-magnet"></i>',
									'is_required' => true,
									'placeholder' => "ex : ma-role",
									'value'       => $item->name
								]) !!}
				            </div>
			            </div>

			           	<div class="form-row">
				            <div class="col">
				            	{!! \Field::textarea([
									'label' => 'Description',
									'name'  => 'description',
									'value' => $item->description,
									'rows'  => 3,
								]) !!}

				            </div>
				        </div>

                    </div>

                    <div class="tab-pane" id="tab_2" role="tabpanel">
                        <div class="alert alert-info alert-dismissible" role="alert">
							<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
							<i class="fa fa-check marfin-r-10" aria-hidden="true"></i>
							Choisir les permissions associées au rôle
						</div>

						<table class="table table-sm table-hover table-striped table-sortable table-responsive-md">

							<thead>
								<tr>
									<th width="200"></th>
									<th width="80" class="text-center">Lire</th>
									<th width="80" class="text-center">Ajouter</th>
									<th width="80" class="text-center">Modifier</th>
									<th width="80" class="text-center">Supprimer</th>
									<th></th>
								</tr>
							</thead>
							<tbody>

								@forelse ($permissions as $name => $perm)
									<tr>
										<td>
											{{ $name }}
										</td>
										<td class="text-center">
											@php
												$id_perm = collect($perm)->get('read');
											@endphp
											<input type="checkbox" name="permissions[{{ $id_perm }}]" value="{{ $id_perm }}"
												{{ old('permissions.'.$id_perm) == collect($perm)->get('read') ||
												$item->permissions->contains($id_perm) ? 'checked' : '' }}>

										</td>
										<td class="text-center">
											@php
												$id_perm = collect($perm)->get('create');
											@endphp
											<input type="checkbox" name="permissions[{{ $id_perm }}]" value="{{ $id_perm }}"
												{{ old('permissions.'.$id_perm) == collect($perm)->get('read') ||
												$item->permissions->contains($id_perm) ? 'checked' : '' }}>
										</td>
										<td class="text-center">
											@php
												$id_perm = collect($perm)->get('update');
											@endphp
											<input type="checkbox" name="permissions[{{ $id_perm }}]" value="{{ $id_perm }}"
												{{ old('permissions.'.$id_perm) == collect($perm)->get('read') ||
												$item->permissions->contains($id_perm) ? 'checked' : '' }}>
										</td>
										<td class="text-center">
											@php
												$id_perm = collect($perm)->get('delete');
											@endphp
											<input type="checkbox" name="permissions[{{ $id_perm }}]" value="{{ $id_perm }}"
												{{ old('permissions.'.$id_perm) == collect($perm)->get('read') ||
												$item->permissions->contains($id_perm) ? 'checked' : '' }}>
										</td>
										<td>

										</td>
									</tr>

								@empty
									Aucune permissions n'est disponible
								@endforelse
							</tbody>

						</table>
                    </div>

                </div>
            </div>
            {{-- <div class="card-footer">
				<div class="form-action">
					<a href="{{ route('back.user.role.list') }}" class="btn btn-warning">
						<i class="fa fa-reply" aria-hidden="true"></i>
					</a>

					<button class="btn btn-success" type="submit">
				    	<i class="fa fa-floppy-o" aria-hidden="true"></i>
				    </button>
				</div>
            </div> --}}
		{{-- </form> --}}
    </div>

@endsection

