@extends('modulus::layouts.app.login')

@section('content')


<div class="login-box">
    <div class="login-logo">
        {!! config('modulus.label_name') !!}
    </div>

    <div class="card">
        <div class="card-body login-card-body">
            <p class="login-box-msg">Connectez-vous</p>
            <form id="form-login" action="{{ url('/login') }}" method="post">
                @csrf
                {!! Field::honeypot() !!}

                <div class="form-row">
                    <div class="col">
                        {!! Field2::input([
                            'name'       => 'email',
                            'suffix'     => '<i class="fa fa-envelope"></i>',
                            'attributes' => [
                                'autofocus'   => '',
                                'placeholder' => 'Email',
                                'required'    => true
                            ]
                        ]) !!}
                    </div>
                </div>

                <div class="form-row">
                    <div class="col">
                        {!! Field2::input([
                            'name'       => 'password',
                            'suffix'     => '<i class="fa fa-lock"></i>',
                            'attributes' => [
                                'placeholder' => 'Mot de passe',
                                'required'    => true,
                                'type'        => 'password'
                            ]
                        ]) !!}
                    </div>
                </div>
                <div class="form-row">
                    <div class="col-7">
                        {!! Field2::checkbox([
                            'name'        => 'remember',
                            'options'     => [
                                'source' => [
                                    1 => 'Se souvenir de moi'
                                ]
                            ]
                        ]) !!}
                    </div>
                    <div class="col-5">
                        <button id="btn-login" type="button" class="btn btn-primary btn-block btn-flat">
                            <i class="fa fa-sign-in mr-2" aria-hidden="true"></i>
                            Connexion
                        </button>
                    </div>
                </div>

            </form>

            <a href="{{ route('password.request') }}"><small>Mot de passe oublié</small></a><br>

    {{--    <a href="{{ url('/register') }}" class="text-center"><small>Créer un compte</small></a> --}}
        </div>
    </div>
</div>

@endsection

{{-- On post le formulaire en JQuery car beaucoup de robots désactivent le JS ;-) --}}
@push('scripts')
    <script type="text/javascript">
        $(function() {

            $('#btn-login').on('click', function() {
                $('#form-login').submit();
            });

            $('input').on('keydown', function(e) {
                if(e.keyCode == 13){
                    $('#form-login').submit();
                }
            });
        });
    </script>
@endpush
