@extends('modulus::layouts.app.login')

@section('content')


<div class="login-box">
    <div class="login-logo">
        {!! config('modulus.label_name') !!}
    </div>

    <div class="card">
        <div class="card-body login-card-body">
            <p class="login-box-msg">Réinitialisation du mot de passe</p>
            <form id="form-login" action="{{ route('password.update') }}" method="post">
                @csrf

                <!-- Password Reset Token -->
                <input type="hidden" name="token" value="{{ $request->route('token') }}">

                <div class="form-row">
                    <div class="col">
                        {!! Field2::input([
                            'name'        => 'email',
                            'suffix'      => '<i class="fa fa-envelope"></i>',
                            'attributes' => [
                                'autofocus'   => '',
                                'placeholder' => 'Email',
                                'required'    => true
                            ]
                        ]) !!}
                    </div>
                </div>

                <div class="form-row">
                    <div class="col">
                        {!! Field2::input([
                            'name'       => 'password',
                            'suffix'     => '<i class="fa fa-lock"></i>',
                            'attributes' => [
                                'type'        => 'password',
                                'placeholder' => 'Mot de passe',
                                'required'    => true
                            ]
                        ]) !!}
                    </div>
                </div>
                <div class="form-row">
                    <div class="col">
                        {!! Field2::input([
                            'name'       => 'password_confirmation',
                            'suffix'     => '<i class="fa fa-lock"></i>',
                            'attributes' => [
                                'type'        => 'password',
                                'placeholder' => 'Confirmation du mot de passe',
                                'required'    => true
                            ]
                        ]) !!}
                    </div>
                </div>
                <div class="row">
                    <div class="col">
                        <button id="btn-login" type="submit" class="btn btn-primary btn-block btn-flat">
                            <i class="fa fa-unlock mr-2"></i>Réinitialiser
                        </button>
                    </div>
                </div>

            </form>

        </div>
    </div>
</div>

@endsection
