<!DOCTYPE html>
<html lang="{{ config('app.locale') }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="x-ua-compatible" content="ie=edge">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name') }} - {{ strip_tags($title ?? '') }}</title>

    <!-- Theme style -->
    <link rel="stylesheet" href="{{ mix('css/app.css') }}">
    <link rel="stylesheet" type="text/css" href="{!! asset('packages/barryvdh/elfinder/css/elfinder.min.css') !!}">
    <link rel="stylesheet" type="text/css" href="{!! asset('packages/barryvdh/elfinder/css/theme.css') !!}">

    <!-- Ajout de Styles -->
    @stack('styles')

    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
     <script>
        window.Laravel = {!! json_encode([
            'csrfToken' => csrf_token(),
            'api_token' => Auth::check() ? (Auth::user())->api_token : null
        ]) !!};
    </script>
</head>

<body class="hold-transition sidebar-mini">
<div class="wrapper">
    <nav class="main-header navbar navbar-expand bg-white navbar-light border-bottom">
        @include('modulus::layouts/app/partials/header')
    </nav>

    <aside class="main-sidebar sidebar-dark-primary elevation-4">
        @include('modulus::layouts/app/partials/sidebar-left')
    </aside>

    <div class="content-wrapper">
        @include('modulus::layouts/app/partials/content')
    </div>

    <aside class="control-sidebar control-sidebar-dark">
        @include('modulus::layouts/app/partials/sidebar-right')
    </aside>

    <footer class="main-footer">
        @include('modulus::layouts/app/partials/footer')
    </footer>
</div>

<!-- Start Cookie consent -->
@include('cookie-consent::index')
<!-- End Cookie consent -->


<!-- Scripts -->
<script src="{{ mix('js/app.js') }}"></script>
<script src="{!! asset('packages/tinymce/tinymce.min.js') !!}" type="text/javascript"></script>
<script src="{!! asset('packages/tinymce/jquery.tinymce.min.js') !!}" type="text/javascript"></script>
<script src="{!! asset('packages/barryvdh/elfinder/js/elfinder.full.js') !!}"></script>
<script src="{!! asset('packages/barryvdh/elfinder/js/i18n/elfinder.fr.js') !!}"></script>
<script src="{!! asset('packages/ace/ace.js') !!}" type="text/javascript"></script>
<script src="https://cloud9ide.github.io/emmet-core/emmet.js" type="text/javascript"></script>
<script src="{!! asset('packages/ace/ext-emmet.js') !!}" type="text/javascript"></script>

<!-- Ajout de Scripts -->
@stack('scripts')

</body>
</html>
