<!DOCTYPE html>
<html lang="{{ config('app.locale') }}">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Styles -->
    <link href="{{ mix('css/app.css') }}" rel="stylesheet">
    <link href="{{ asset('css/modules_back.css') }}" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="{!! asset('packages/barryvdh/elfinder/css/elfinder.min.css') !!}">
    <link rel="stylesheet" type="text/css" href="{!! asset('packages/barryvdh/elfinder/css/theme.css') !!}">

    <!-- Ajout de Styles -->
    @yield('styles')

    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->

    <!-- Scripts -->
    <script>
        window.Laravel = {!! json_encode([
            'csrfToken' => csrf_token(),
        ]) !!};
    </script>
</head>
<body>

    @yield('content')

    <!-- Scripts -->
    <script src="{{ mix('js/app.js') }}"></script>
    <script src="{{ asset('js/modules_back.js') }}"></script>
    <script src="{!! asset('packages/tinymce/tinymce.min.js') !!}" type="text/javascript"></script>
    <script src="{!! asset('packages/barryvdh/elfinder/js/elfinder.full.js') !!}"></script>
    <script src="{!! asset('packages/barryvdh/elfinder/js/i18n/elfinder.fr.js') !!}"></script>
    <script src="{!! asset('packages/ace/ace.js') !!}" type="text/javascript"></script>
    <script src="https://cloud9ide.github.io/emmet-core/emmet.js" type="text/javascript"></script>
    <script src="{!! asset('packages/ace/ext-emmet.js') !!}" type="text/javascript"></script>

    <!-- Ajout de Script -->
    @yield('scripts')

</body>
</html>
