{{-- Content Header --}}
@if (isset($title) || isset($subtitle))
<div class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            {{-- Titre --}}
            <div class="col">
                @isset ($title)
                <h1 class="m-0 text-dark">
                    {!! $title !!}
                    @isset ($subtitle)
                        <small class="text-muted ml-2">{!! $subtitle !!}</small>
                    @endisset
                </h1>
                @endisset
            </div>
            {{-- Fil d ariane --}}
            @isset ($breadcrumb)
            <div class="col">
                <ol class="breadcrumb float-sm-right">
                    @foreach ($breadcrumb as $item_name => $item_url)
                        <li class="breadcrumb-item{{ $loop->last ? ' active' : '' }}">
                            @if (is_null($item_url))
                                {{ $item_name }}
                            @else
                                <a href="{{ $item_url }}">{{ $item_name }}</a>
                            @endif
                        </li>
                    @endforeach
                </ol>
            </div>
            @endisset
        </div>
        <div class="mt-1">
            @include('modulus::layouts/app/partials/flash')
        </div>
    </div>
</div>
@endif

{{-- Content simple--}}
<div class="content">
    <div class="container-fluid">
        @yield('content')
    </div>
</div>
