{{-- Logo --}}
<a href="{{ route('modulus.dashboard') }}" class="brand-link {!! config('modulus.band_color_class') !!}">
    {!! config('modulus.label_icon') !!}
    <span class="brand-text font-weight-light ml-1">{!! config('modulus.label_name') !!}</span>
</a>

<!-- Sidebar -->
<div class="sidebar">

    {{-- Panneau utilisateur --}}
    @if (auth()->check())
        <div class="user-panel mt-3 pb-3 mb-3 d-flex">
            <div class="image">
                <img src="{{ asset(auth()->user()->avatar) }}" class="img-circle elevation-2" alt="User Image">
            </div>
            <div class="info">
                <a href="{{ route('modulus.user.profil') }}" class="d-block">{{ auth()->user()->firstname }}</a>
            </div>
            <div class="logout">
                <a href="{{ route('logout') }}" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">
                  <span class="badge">
                    <i class="fa fa-sign-out fa-2x"></i>
                  </span>
                </a>
            </div>
            <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                {{ csrf_field() }}
            </form>
        </div>
    @endif

    <!-- Sidebar Menu -->
    <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
            @isset ($modules_menu)
                @foreach ($modules_menu as $module)
                    @if (isset($module->menu->childs) && is_array($module->menu->childs))
                        <li class="nav-item {{ current_parent_route_belongs($module->menu->childs[0]->route) ? ' menu-open' : '' }}">
                            @can ('module-' . $module->slug . '-read')
                                <a href="#" class="nav-link{{ current_parent_route_belongs($module->menu->childs[0]->route) ? ' active' : '' }}">
                                    <i class="nav-icon {!! $module->menu->icon !!}"></i>
                                    <p>{!! $module->menu->label !!}<i class="fa fa-angle-left right"></i></p>
                                </a>
                                <ul class="nav nav-treeview">
                                    @foreach ($module->menu->childs as $child)
                                        <li class="nav-item">
                                            <a href="{{ route($child->route) }}" class="nav-link{{ current_route_belongs($child->route) ? ' active' : '' }}">
                                                <i class="nav-icon {{ $child->icon }}"></i>
                                                <p>{!! $child->label !!}</p>
                                            </a>
                                        </li>
                                    @endforeach
                                </ul>
                            @else
                                <a href="#" class="nav-link disabled text-muted">
                                    <i class="nav-icon {{ $module->menu->icon }}"></i>
                                    <p>{!! $module->menu->label !!}</p>
                                </a>
                            @endif
                        </li>
                    @else
                        <li class="nav-item">
                            @can ('module-' . $module->slug . '-read')
                                <a href="{{ route($module->menu->route) }}" class="nav-link{{ current_route_belongs($module->menu->route) ? ' active' : '' }}">
                                    <i class="nav-icon {{ $module->menu->icon }}"></i>
                                    <p>{!! $module->menu->label !!}</p>
                                </a>
                            @else
                                <a href="#" class="nav-link disabled text-muted">
                                    <i class="nav-icon {{ $module->menu->icon }}"></i>
                                    <p>{!! $module->menu->label !!}</p>
                                </a>
                            @endcan
                        </li>
                    @endif
                @endforeach
            @endisset
        </ul>
    </nav>
</div>
