<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});


Route::group([
    'middleware' => ['auth:api', 'auth.active', 'role:admin|editeur'],
    'namespace'  => 'Api',
    'prefix'     => 'backend',
    'as'         => 'api.'
], function() {
    Route::resource('users', UserController::class);
});
