@extends('layouts.back.adminlte')

@section('content')

    <form action="{{ route('back.user.profil.post') }}" method="POST">
        @csrf
        <div class="row">
            <div class="col-lg-6">
                <div class="card card-success">
                    <div class="card-header">
                        <h3 class="card-title">Général</h3>
                    </div>
                    <div class="card-body">
                        <div class="form-row">
                            <div class="col-md-6">
                                {!! Field::input([
                                    'label'       => 'Nom',
                                    'name'        => 'lastname',
                                    'value'       => $item->lastname,
                                    'prefix'      => '<i class="fa fa-bookmark"></i>',
                                    'placeholder' => 'ex : DOE',
                                    'is_required' => true,
                                ]) !!}
                            </div>
                            <div class="col-md-6">
                                {!! Field::input([
                                    'label'       => 'Prénom',
                                    'name'        => 'firstname',
                                    'value'       => $item->firstname,
                                    'prefix'      => '<i class="fa fa-bookmark"></i>',
                                    'placeholder' => 'ex : John',
                                    'is_required' => true,
                                ]) !!}
                            </div>
                        </div>

                        <div class="form-row">
                            <div class="col">
                                {!! Field2::checkbox([
                                    'label'       => 'RGPD',
                                    'name'        => 'rgpd',
                                    'attributes' => [
                                        'required' => true
                                ],
                                'options' => [
                                    'source' => [
                                        1 => "En soumettant ce formulaire, j'accepte que les informations saisies soient exploitées dans le cadre d'une relation commerciale liée à Isidiag."
                                    ]
                                ]
                                ]) !!}
                            </div>
                        </div>
                        <input type="hidden" name="avatar" value="{{ $item->avatar }}">
                        <input type="hidden" name="comment" value="{{ $item->comment }}">
                        <input type="hidden" name="active" value="{{ $item->active }}">
                    </div>
                </div>
            </div>

            <div class="col-lg-6">
                <div class="card card-default">
                    <div class="card-header">
                        <h3 class="card-title">Professionnel</h3>
                    </div>
                    <div class="card-body">
                        <div class="form-row">
                            <div class="col-md-6">
                                {!! Field::input([
                                    'label'       => 'Société',
                                    'name'        => 'company',
                                    'value'       => $item->company,
                                    'prefix'      => '<i class="fa fa-industry"></i>',
                                    'placeholder' => 'ex : Goldenscarab'
                                ]) !!}
                            </div>
                            <div class="col-md-6">
                                {!! Field::input([
                                    'label'       => 'Domaine d\'activité',
                                    'name'        => 'activity',
                                    'value'       => $item->activity,
                                    'prefix'      => '<i class="fa fa-pie-chart"></i>',
                                    'placeholder' => 'ex : Web'
                                ]) !!}
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="col-md-6">
                                {!! Field::input([
                                    'label'       => 'Téléphone',
                                    'name'        => 'telephone',
                                    'value'       => $item->telephone,
                                    'prefix'      => '<i class="fa fa-phone"></i>',
                                    'placeholder' => 'ex : 0605040302'
                                ]) !!}
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-md-6">
                <div class="card card-info">
                    <div class="card-header">
                        <h3 class="card-title">Adresse</h3>
                    </div>

                    <div class="card-body">
                       <div class="form-row">
                            <div class="col">
                                {!! Field::input([
                                    'label'       => 'Adresse',
                                    'name'        => 'address',
                                    'value'       => $item->address,
                                    'prefix'      => '<i class="fa fa-map-marker"></i>',
                                    'placeholder' => 'ex : 10 rue des Jardins'
                                ]) !!}
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="col-md-4">
                                {!! Field::input([
                                    'label'       => 'Code postal',
                                    'name'        => 'zipcode',
                                    'value'       => $item->zipcode,
                                    'placeholder' => 'ex : 01234'
                                ]) !!}
                            </div>
                            <div class="col-md-8">
                                {!! Field::input([
                                    'label'       => 'Ville',
                                    'name'        => 'city',
                                    'value'       => $item->city,
                                    'placeholder' => 'ex : TOULOUSE'
                                ]) !!}
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-md-6">
                <div class="card card-warning">
                    <div class="card-header">
                        <h3 class="card-title">Accès / compte</h3>
                    </div>

                    <div class="card-body">
                         <div class="form-row mb-3">
                            <div class="col">
                                @foreach ($item->getRoleNames()->toArray() as $role)
                                    <input type="hidden" name="role[]" value="{{ $role }}">
                                @endforeach
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="col">
                                {!! Field::input([
                                    'label'       => 'Email',
                                    'name'        => 'email',
                                    'type'        => 'email',
                                    'prefix'      => '<i class="fa fa-envelope"></i>',
                                    'is_required'    => true,
                                    'placeholder' => "ex : user@mail.tld",
                                    'help'        => 'L\'email sera utilisé comme identifiant',
                                    'value'       => $item->email
                                ]) !!}
                            </div>
                        </div>

                        <div class="form-row">
                            <div class="col-sm-6">
                                {!! Field::input([
                                    'label'       => 'Mot de passe',
                                    'name'        => 'password',
                                    'type'        => 'password',
                                    'prefix'      => '<i class="fa fa-key"></i>',
                                    'placeholder' => 'Laissez vide pour ne rien changer'
                                ]) !!}
                            </div>
                            <div class="col-sm-6">
                                {!! Field::input([
                                    'label'       => 'Confirmation mot de passe',
                                    'name'        => 'password_confirmation',
                                    'type'        => 'password',
                                    'prefix'      => '<i class="fa fa-key"></i>',
                                    'placeholder' => 'Laissez vide pour ne rien changer',
                                ]) !!}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="form-action">
            <button class="btn btn-success" type="submit">
                <i class="fa fa-floppy-o" aria-hidden="true"></i>
            </button>
        </div>
    </form>

@endsection
